MediaWiki:Common.css: различия между версиями

мНет описания правки
мНет описания правки
Строка 362: Строка 362:
--theme-bg-color-50: #1f1f24;
--theme-bg-color-50: #1f1f24;
--theme-bg-color-100: #202025;
--theme-bg-color-100: #202025;
--theme-bg-color-150: color-mix(in srgb, var(--theme-bg-color-100) 50%, hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + 5%)));
--theme-bg-color-150: color-mix(in srgb, var(--theme-bg-color-100) 80%, hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + 12%)));
--theme-bg-color-200: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 5%));
--theme-bg-color-200: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 5%));
--theme-bg-color-250: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 7%));
--theme-bg-color-250: hsl(var(--theme-bg--hsl) calc(var(--theme-bg--hsl-alpha) + var(--theme-brightness-trigger) 7%));
Строка 409: Строка 409:


:root body.wgl-theme-dark {
:root body.wgl-theme-dark {
--brightness-hsl: -1%;
     --theme-bg--hsl: 220deg 20%;
     --theme-bg--hsl: 220deg 20%;
     --theme-bg--hsl-alpha: 12%;
     --theme-bg--hsl-alpha: 12%;
Строка 1866: Строка 1868:
body:not(.wgl-theme-light) .ace-tm .ace_storage,.ace-tm .ace_keyword {
body:not(.wgl-theme-light) .ace-tm .ace_storage,.ace-tm .ace_keyword {
color: rgb(153,153,255);
color: rgb(153,153,255);
}
body:not(.wgl-theme-light) .ace-tm .ace_constant.ace_numeric {
color: rgb(153,153,205);
}
}